summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: bc9c024)
raw | patch | inline | side by side (parent: bc9c024)
author | Christian Couder <chriscool@tuxfamily.org> | |
Sun, 9 Nov 2008 14:25:55 +0000 (15:25 +0100) | ||
committer | Junio C Hamano <gitster@pobox.com> | |
Sun, 9 Nov 2008 18:23:37 +0000 (10:23 -0800) |
Check to see given bad/good/skip sets are valid commit and to exit
otherwise was broken by 6a54d97 (bisect: remove "checkout_done" variable
used when checking merge bases, 2008-09-06).
Signed-off-by: Christian Couder <chriscool@tuxfamily.org>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
otherwise was broken by 6a54d97 (bisect: remove "checkout_done" variable
used when checking merge bases, 2008-09-06).
Signed-off-by: Christian Couder <chriscool@tuxfamily.org>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
git-bisect.sh | patch | blob | history |
diff --git a/git-bisect.sh b/git-bisect.sh
index 79de7017e88b746971f5a730b8615290bba2890d..0d0e278c92c39f17b368eb6ead781a877bc8caed 100755 (executable)
--- a/git-bisect.sh
+++ b/git-bisect.sh
good=$(git for-each-ref --format='^%(objectname)' \
"refs/bisect/good-*" | tr '\012' ' ') &&
skip=$(git for-each-ref --format='%(objectname)' \
- "refs/bisect/skip-*" | tr '\012' ' ') &&
+ "refs/bisect/skip-*" | tr '\012' ' ') || exit
# Maybe some merge bases must be tested first
check_good_are_ancestors_of_bad "$bad" "$good" "$skip"